Bug 25107 - Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType
Summary: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 20292
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-10 10:58 UTC by Kyle M Hall
Modified: 2020-05-15 17:46 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25107: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType (7.42 KB, patch)
2020-04-10 10:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25107: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType (7.55 KB, patch)
2020-04-28 08:29 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 25107: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType (7.61 KB, patch)
2020-05-02 13:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-04-10 10:58:28 UTC
At some point some calls to maybe_add got an extra $server var in their parameter lists. This doubled parameter does nothing and should be removed.
Comment 1 Kyle M Hall 2020-04-10 10:59:33 UTC
Created attachment 102699 [details] [review]
Bug 25107: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType

At some point some calls to maybe_add got an extra $server var in their parameter lists. This doubled parameter does nothing and should be removed.

Test Plan: No change in behavior should be noted
Comment 2 Frédéric Demians 2020-04-28 08:29:02 UTC
Created attachment 103832 [details] [review]
Bug 25107: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType

At some point some calls to maybe_add got an extra $server var in their
parameter lists. This doubled parameter does nothing and should be
removed.

Test Plan: No change in behavior should be noted

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Comment 3 Katrin Fischer 2020-05-02 13:36:25 UTC
sub maybe_add {
    my ($fid, $value, $server) = @_;

This all looks correct to me, there are also lots of other calls without the 4th parameter to maybe_add.
Comment 4 Katrin Fischer 2020-05-02 13:37:14 UTC
Created attachment 104187 [details] [review]
Bug 25107: Remove double passing of $server variable to maybe_add in C4::SIP::Sip::MsgType

At some point some calls to maybe_add got an extra $server var in their
parameter lists. This doubled parameter does nothing and should be
removed.

Test Plan: No change in behavior should be noted

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Martin Renvoize 2020-05-04 07:55:16 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-11 16:52:41 UTC
Backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-15 17:46:05 UTC
backported to 19.05.x for 19.05.11